location / {
  try_files $uri /index.php?$args;
}

location ~ \.php$ {
    include         fastcgi_params;
  
    fastcgi_split_path_info ^(.+\.php)(/.+)$;
    
    fastcgi_pass    unix:/var/run/php-fpm.sock;
    
    fastcgi_param   SCRIPT_FILENAME $document_root$fastcgi_script_name;
    fastcgi_param   SCRIPT_NAME $fastcgi_script_name;
    fastcgi_param   FLOW_CONTEXT      $context;
    fastcgi_param   FLOW_REWRITEURLS  1;
}

# no access to .hidden files (eg .htaccess)
location ~ /\. {
  deny all;
  return 404;
  log_not_found off;
}

# static content:
# - images
# - flash
# - fonts
# - css/js
location ~* \.(?:jpe?g|gif|png|ico|swf|svg|eot|ttf|otf|woff2?|htc|css|js)$ {
  expires max;
}

location = /favicon.ico {
  log_not_found off;
}